| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiPython::TupleToolDecorator Class Reference

`#include <GaudiPython/TupleDecorator.h>`

List of all members.

## Detailed Description

Simple class to perform the "decoration" of Tuples in Python/Reflex.

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2005-08-17

Definition at line 515 of file TupleDecorator.h.

## Static Public Member Functions
static Tuples::Tuple | nTuple (const ITupleTool &tool, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | nTuple (const ITupleTool &tool, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | nTuple (const ITupleTool &tool, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | nTuple (const ITupleTool &tool, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | evtCol (const ITupleTool &tool, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | evtCol (const ITupleTool &tool, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | evtCol (const ITupleTool &tool, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | evtCol (const ITupleTool &tool, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)

## Member Function Documentation

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[inline, static]`

get n-tuple (book-on-demand)

Definition at line 521 of file TupleDecorator.h.

References ITupleTool::nTuple().

    00524     { return tool.nTuple ( title , clid ) ; }

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[inline, static]`

get n-tuple (book-on-demand)

Definition at line 528 of file TupleDecorator.h.

References ITupleTool::nTuple().

    00532     { return tool.nTuple ( ID , title , clid ) ; }

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[inline, static]`

get n-tuple (book-on-demand)

Definition at line 536 of file TupleDecorator.h.

References ITupleTool::nTuple().

    00540     { return tool.nTuple ( ID , title , clid ) ; }

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[inline, static]`

get n-tuple (book-on-demand)

Definition at line 544 of file TupleDecorator.h.

References ITupleTool::nTuple().

    00548     { return tool.nTuple ( ID , title , clid ) ; }

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[inline, static]`

get n-tuple (book-on-demand)

Definition at line 552 of file TupleDecorator.h.

References ITupleTool::evtCol().

    00555     { return tool.evtCol ( title , clid ) ; }

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[inline, static]`

get n-tuple (book-on-demand)

Definition at line 559 of file TupleDecorator.h.

References ITupleTool::nTuple().

    00563     { return tool.nTuple ( ID , title , clid ) ; }

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[inline, static]`

get n-tuple (book-on-demand)

Definition at line 567 of file TupleDecorator.h.

References ITupleTool::nTuple().

    00571     { return tool.nTuple ( ID , title , clid ) ; }

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[inline, static]`

get n-tuple (book-on-demand)

Definition at line 575 of file TupleDecorator.h.

References ITupleTool::nTuple().

    00579     { return tool.nTuple ( ID , title , clid ) ; }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiPython/v9r2/GaudiPython/TupleDecorator.h